
From: Brian Gerst <bgerst@didntduck.org>

Consolidate rules for installing internal and external modules.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/Makefile.modinst |   18 ++++--------------
 1 files changed, 4 insertions(+), 14 deletions(-)

diff -puN scripts/Makefile.modinst~clean-up-module-install-rules scripts/Makefile.modinst
--- 25/scripts/Makefile.modinst~clean-up-module-install-rules	Thu Jul  1 13:35:03 2004
+++ 25-akpm/scripts/Makefile.modinst	Thu Jul  1 13:35:03 2004
@@ -16,20 +16,10 @@ modules := $(patsubst %.o,%.ko,$(wildcar
 __modinst: $(modules)
 	@:
 
-# Modules built within the kernel tree
-
 quiet_cmd_modules_install = INSTALL $@
-      cmd_modules_install = mkdir -p $(MODLIB)/kernel/$(@D); \
-			    cp $@ $(MODLIB)/kernel/$(@D)
-
-$(filter-out ../% /%,$(modules)):
-	$(call cmd,modules_install)
-
-# Modules built outside just go into extra
+      cmd_modules_install = mkdir -p $(2); cp $@ $(2)
 
-quiet_cmd_modules_install_extra = INSTALL $(obj-m:.o=.ko)
-      cmd_modules_install_extra = mkdir -p $(MODLIB)/extra; \
-			    	  cp $@ $(MODLIB)/extra
+modinst_dir = $(MODLIB)/$(if $(filter ../% /%,$@),extra/,kernel/$(@D))
 
-$(filter     ../% /%,$(modules)):
-	$(call cmd,modules_install_extra)
+$(modules):
+	$(call cmd,modules_install,$(modinst_dir))
_
